| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__UpdateBgSubnetRequest Struct Reference
Business Group Subnet

Update Business Group Subnet request. More...

`#include <osv-if-doc.h>`

## Public Attributes
char * | OperatorId
| Operator Id. More...
struct unsp__BgSubnetData | BgSubnetData
| Business Group subnet fields to identify the subnet we wish to update. More...
unsp__BGDeptName | NewEmergencyBGDeptName
| Updated Emergency Business Group Department to associate with the subnet. More...
char * | NewSubnetOrIp
| Updated subnet or individual IP address for the subnet. More...
char * | NewSubnetMask
| Updated subnet mask for the subnet. More...
char * | NewIpV6Address
| Updated IPv6 address for the subnet. More...
int * | NewIpV6PrefixLen
| Updated IPv6 mask for the subnet. More...
char * | NewLocationDomain
| Updated Location Domain Name for the subnet. More...
xsd__boolean * | AllOrNone
| Indicates whether atomic processing is required or partial success is allowed. More...

## Detailed Description

Update Business Group Subnet request.

Used by unsp__UpdateBgSubnet2()

## Member Data Documentation

## ◆ AllOrNone

xsd__boolean* unsp__UpdateBgSubnetRequest::AllOrNone

Indicates whether atomic processing is required or partial success is allowed.

If True, when the processing of one entry fails, the data is rolled back to its state prior to the request. If False, when the processing of one entry fails, a best effort attempt will be made, and the subsequent entries will be processed. Note: If AllOrNone is False, and errors occur, a list of errors is returned identifying which entries could not be processed successfully.
required: false
default value[range]: false

## ◆ BgSubnetData

struct unsp__BgSubnetData unsp__UpdateBgSubnetRequest::BgSubnetData

Business Group subnet fields to identify the subnet we wish to update.

required: true

## ◆ NewEmergencyBGDeptName

unsp__BGDeptName unsp__UpdateBgSubnetRequest::NewEmergencyBGDeptName

Updated Emergency Business Group Department to associate with the subnet.

required: false

See also
  unsp__BGDeptName

## ◆ NewIpV6Address

char* unsp__UpdateBgSubnetRequest::NewIpV6Address

Updated IPv6 address for the subnet.

required: false
default value[range]: NA [0..20]

## ◆ NewIpV6PrefixLen

int* unsp__UpdateBgSubnetRequest::NewIpV6PrefixLen

Updated IPv6 mask for the subnet.

required: false
default value[range]: NA [0..20]

## ◆ NewLocationDomain

char* unsp__UpdateBgSubnetRequest::NewLocationDomain

Updated Location Domain Name for the subnet.

required: false
default value[range]: NA [0..64]

## ◆ NewSubnetMask

char* unsp__UpdateBgSubnetRequest::NewSubnetMask

Updated subnet mask for the subnet.

required: false
default value[range]: NA [1..45]

## ◆ NewSubnetOrIp

char* unsp__UpdateBgSubnetRequest::NewSubnetOrIp

Updated subnet or individual IP address for the subnet.

required: false
default value[range]: NA [1..45]

## ◆ OperatorId

char* unsp__UpdateBgSubnetRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h